Debian Bug report logs - #675760
(on kfreebsd) E: unable to create the directory '/'

version graph

Package: cupt; Maintainer for cupt is Cupt developers <cupt-devel@lists.alioth.debian.org>; Source for cupt is src:cupt.

Reported by: "goneri" <goneri@rulezlan.org>

Date: Sun, 3 Jun 2012 08:09:02 UTC

Severity: important

Found in version cupt/2.5.5

Fixed in version cupt/2.5.6

Done: jackyf@debian.org (Eugene V. Lyubimkin)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Cupt developers <cupt-devel@lists.alioth.debian.org>:
Bug#675760; Package cupt. (Sun, 03 Jun 2012 08:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "goneri" <goneri@rulezlan.org>:
New Bug report received and forwarded. Copy sent to Cupt developers <cupt-devel@lists.alioth.debian.org>. (Sun, 03 Jun 2012 08:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "goneri" <goneri@rulezlan.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: E: unable to create the directory '/'
Date: Sun, 03 Jun 2012 10:00:20 +0200
Package: cupt
Version: 2.5.5
Severity: normal

Dear Maintainer,

I use a kFreeBSD system and the problem may be
related.
cupt is not able on my system to do any changes.
Both "cupt install" and "cupt dist-upgrade" will
fail:

E: syntax error: line 4, character 1: expected: semicolon (';')
E: unable to parse the config file '//etc/apt/apt.conf.d/00CDMountPoint'
W: skipped the configuration file '//etc/apt/apt.conf.d/00CDMountPoint'
[ upgrading package management tools ]

Building the package cache... 
Initializing package resolver and worker... 
Scheduling requested actions... 
Resolving possible unmet dependencies... 

The following packages are no longer needed and thus will be auto-removed:

cpp-4.6 default-jre-headless g++-4.6 gcc-4.6 gcj-4.6-base gcj-4.6-jre-headless gcj-4.6-jre-lib gcj-4.7-jre-headless gcj-jre-headless gcompris-sound-en gnome-icon-theme java-common libarchive1 libbluray-bdj libgcj12 libportaudio2 libroar-compat2 libroar2 libstdc++6-4.6-dev menu oss-compat pulseaudio-esound-compat ttf-freefont xserver-xorg-video-apm xserver-xorg-video-ark xserver-xorg-video-chips xserver-xorg-video-cirrus xserver-xorg-video-i128 xserver-xorg-video-mga xserver-xorg-video-neomagic xserver-xorg-video-openchrome xserver-xorg-video-rendition xserver-xorg-video-s3 xserver-xorg-video-savage xserver-xorg-video-siliconmotion xserver-xorg-video-trident xserver-xorg-video-tseng xserver-xorg-video-vesa xserver-xorg-video-voodoo 

Action summary:
  39 automatically installed packages are no longer needed and thus will be auto-removed

Need to get 0B/0B of archives. After unpacking 131MiB will be freed.
Performing requested actions:
E: unable to create the directory '/': Is a directory
E: unable to create the archive downloads directory
E: failed to prepare downloads
E: unable to do requested actions
E: error performing the command 'dist-upgrade'



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 9.0-1-amd64
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to fr_FR.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages cupt depends on:
ii  libboost-program-options1.49.0  1.49.0-3
ii  libc0.1                         2.13-32
ii  libcupt2-0                      2.5.5
ii  libgcc1                         1:4.7.0-11
ii  libstdc++6                      4.7.0-11

cupt recommends no packages.

Versions of packages cupt suggests:
ii  libreadline6    6.2-8
ii  sensible-utils  0.0.7

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Cupt developers <cupt-devel@lists.alioth.debian.org>:
Bug#675760; Package cupt. (Sun, 03 Jun 2012 09:33:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Eugene V. Lyubimkin" <jackyf@debian.org>:
Extra info received and forwarded to list. Copy sent to Cupt developers <cupt-devel@lists.alioth.debian.org>. (Sun, 03 Jun 2012 09:33:17 GMT) Full text and rfc822 format available.

Message #10 received at 675760@bugs.debian.org (full text, mbox):

From: "Eugene V. Lyubimkin" <jackyf@debian.org>
To: goneri <goneri@rulezlan.org>, 675760@bugs.debian.org
Cc: kfreebsd-9@packages.debian.org
Subject: Re: [Cupt-devel] Bug#675760: E: unable to create the directory '/'
Date: Sun, 3 Jun 2012 12:32:37 +0300
clone 675760 -1
reassign -1 kfreebsd-image-9-amd64
retitle -1 kfreebsd: mkdir(2) sets errno to EISDIR
block 675760 by -1
affects -1 + cupt
retitle 675760 (on kfreebsd) E: unable to create the directory '/'
severity 675760 important
quit

Hello reporter and KFreeBSD maintainers,

On 2012-06-03 10:00, goneri wrote:
[...]
> E: unable to create the directory '/': Is a directory

Thank you for reporting this issue.

Yes, this problem is definitely KFreeBSD-specific. Cupt calls mkdir('/')
and expects EEXIST but get EISDIR [1]. This is not allowed by POSIX [2]
so I believe this is a bug in kfreebsd kernels.

I also guess I will have to implement a workaround for this but before
let's see what KFreeBSD maintainers say.

[1]
| (squeeze)jackyf@asdfasdf:~$ mkdir /
| mkdir: cannot create directory `/': Is a directory
[2] http://pubs.opengroup.org/onlinepubs/9699919799/functions/mkdir.html

-- 
Eugene V. Lyubimkin aka JackYF, JID: jackyf.devel(maildog)gmail.com
C++ GNU/Linux developer, Debian Developer




Bug 675760 cloned as bug 675768 Request was from "Eugene V. Lyubimkin" <jackyf@debian.org> to control@bugs.debian.org. (Sun, 03 Jun 2012 09:33:22 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 675760: 675768 Request was from "Eugene V. Lyubimkin" <jackyf@debian.org> to control@bugs.debian.org. (Sun, 03 Jun 2012 09:33:25 GMT) Full text and rfc822 format available.

Changed Bug title to '(on kfreebsd) E: unable to create the directory '/'' from 'E: unable to create the directory '/'' Request was from "Eugene V. Lyubimkin" <jackyf@debian.org> to control@bugs.debian.org. (Sun, 03 Jun 2012 09:33:27 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from "Eugene V. Lyubimkin" <jackyf@debian.org> to control@bugs.debian.org. (Sun, 03 Jun 2012 09:33:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Cupt developers <cupt-devel@lists.alioth.debian.org>:
Bug#675760; Package cupt. (Sun, 03 Jun 2012 10:21:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Cupt developers <cupt-devel@lists.alioth.debian.org>. (Sun, 03 Jun 2012 10:21:21 GMT) Full text and rfc822 format available.

Message #23 received at 675760@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: "Eugene V. Lyubimkin" <jackyf@debian.org>
Cc: goneri <goneri@rulezlan.org>, 675760@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: [Cupt-devel] Bug#675760: E: unable to create the directory '/'
Date: Sun, 3 Jun 2012 12:03:39 +0200 (CEST)
> Yes, this problem is definitely KFreeBSD-specific. Cupt calls mkdir('/')
> and expects EEXIST but get EISDIR [1]. This is not allowed by POSIX [2]
> so I believe this is a bug in kfreebsd kernels.
>
> I also guess I will have to implement a workaround for this but before
> let's see what KFreeBSD maintainers say.
> [1]
> | (squeeze)jackyf@asdfasdf:~$ mkdir /
> | mkdir: cannot create directory `/': Is a directory
> [2] http://pubs.opengroup.org/onlinepubs/9699919799/functions/mkdir.html

Please note, that this behaviour affects only "mkdir /",
"mkdir /home" or "mkdir /bin" return "File exists".

Effectively, you cannot create "/" under any system.

Petr





Information forwarded to debian-bugs-dist@lists.debian.org, Cupt developers <cupt-devel@lists.alioth.debian.org>:
Bug#675760; Package cupt. (Sun, 03 Jun 2012 10:30:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Eugene V. Lyubimkin" <jackyf@debian.org>:
Extra info received and forwarded to list. Copy sent to Cupt developers <cupt-devel@lists.alioth.debian.org>. (Sun, 03 Jun 2012 10:30:42 GMT) Full text and rfc822 format available.

Message #28 received at 675760@bugs.debian.org (full text, mbox):

From: "Eugene V. Lyubimkin" <jackyf@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: goneri <goneri@rulezlan.org>, 675760@bugs.debian.org, debian-bsd@lists.debian.org
Subject: Re: [Cupt-devel] Bug#675760: E: unable to create the directory '/'
Date: Sun, 3 Jun 2012 13:32:07 +0300
Hi Petr,

On 2012-06-03 12:03, Petr Salinger wrote:
> Please note, that this behaviour affects only "mkdir /",
> "mkdir /home" or "mkdir /bin" return "File exists".
> 
> Effectively, you cannot create "/" under any system.

True. Still I expect 'File exists' under any system.

-- 
Eugene V. Lyubimkin aka JackYF, JID: jackyf.devel(maildog)gmail.com
C++ GNU/Linux developer, Debian Developer




Set Bug forwarded-to-address to 'http://www.freebsd.org/cgi/query-pr.cgi?pr=59739'. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sun, 03 Jun 2012 10:42:06 GMT) Full text and rfc822 format available.

Unset Bug forwarded-to-address Request was from Eugene V. Lyubimkin <jackyf@debian.org> to control@bugs.debian.org. (Sun, 03 Jun 2012 11:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Cupt developers <cupt-devel@lists.alioth.debian.org>:
Bug#675760; Package cupt. (Sun, 03 Jun 2012 13:14:42 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Eugene V. Lyubimkin" <jackyf@debian.org>:
Extra info received and forwarded to list. Copy sent to Cupt developers <cupt-devel@lists.alioth.debian.org>. (Sun, 03 Jun 2012 13:14:51 GMT) Full text and rfc822 format available.

Message #37 received at 675760@bugs.debian.org (full text, mbox):

From: "Eugene V. Lyubimkin" <jackyf@debian.org>
To: goneri <goneri@rulezlan.org>
Cc: 675760@bugs.debian.org
Subject: Re: [Cupt-devel] Bug#675760: E: unable to create the directory '/'
Date: Sun, 3 Jun 2012 15:17:28 +0300
tags 675760 + pending
quit

Hi again,

On 2012-06-03 10:00, goneri wrote:
> E: unable to create the directory '/': Is a directory

I committed a workaround to libcupt for kfreebsd misbehavior. It's now
in master branch and will be in the upcoming Cupt 2.5.6.

-- 
Eugene V. Lyubimkin aka JackYF, JID: jackyf.devel(maildog)gmail.com
C++ GNU/Linux developer, Debian Developer




Added tag(s) pending. Request was from "Eugene V. Lyubimkin" <jackyf@debian.org> to control@bugs.debian.org. (Sun, 03 Jun 2012 13:16:07 GMT) Full text and rfc822 format available.

Reply sent to jackyf@debian.org (Eugene V. Lyubimkin):
You have taken responsibility. (Fri, 08 Jun 2012 10:51:02 GMT) Full text and rfc822 format available.

Notification sent to "goneri" <goneri@rulezlan.org>:
Bug acknowledged by developer. (Fri, 08 Jun 2012 10:51:07 GMT) Full text and rfc822 format available.

Message #44 received at 675760-close@bugs.debian.org (full text, mbox):

From: jackyf@debian.org (Eugene V. Lyubimkin)
To: 675760-close@bugs.debian.org
Subject: Bug#675760: fixed in cupt 2.5.6
Date: Fri, 08 Jun 2012 10:47:35 +0000
Source: cupt
Source-Version: 2.5.6

We believe that the bug you reported is fixed in the latest version of
cupt, which is due to be installed in the Debian FTP archive:

cupt_2.5.6.dsc
  to main/c/cupt/cupt_2.5.6.dsc
cupt_2.5.6.tar.gz
  to main/c/cupt/cupt_2.5.6.tar.gz
cupt_2.5.6_i386.deb
  to main/c/cupt/cupt_2.5.6_i386.deb
libcupt2-0-downloadmethod-curl_2.5.6_i386.deb
  to main/c/cupt/libcupt2-0-downloadmethod-curl_2.5.6_i386.deb
libcupt2-0-downloadmethod-wget_2.5.6_i386.deb
  to main/c/cupt/libcupt2-0-downloadmethod-wget_2.5.6_i386.deb
libcupt2-0_2.5.6_i386.deb
  to main/c/cupt/libcupt2-0_2.5.6_i386.deb
libcupt2-dev_2.5.6_i386.deb
  to main/c/cupt/libcupt2-dev_2.5.6_i386.deb
libcupt2-doc_2.5.6_all.deb
  to main/c/cupt/libcupt2-doc_2.5.6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675760@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eugene V. Lyubimkin <jackyf@debian.org> (supplier of updated cupt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 08 Jun 2012 13:01:55 +0300
Source: cupt
Binary: libcupt2-0 libcupt2-dev libcupt2-doc cupt libcupt2-0-downloadmethod-curl libcupt2-0-downloadmethod-wget
Architecture: source i386 all
Version: 2.5.6
Distribution: unstable
Urgency: low
Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
Changed-By: Eugene V. Lyubimkin <jackyf@debian.org>
Description: 
 cupt       - alternative front-end for dpkg -- console interface
 libcupt2-0 - alternative front-end for dpkg -- runtime library
 libcupt2-0-downloadmethod-curl - alternative front-end for dpkg -- libcurl download method
 libcupt2-0-downloadmethod-wget - alternative front-end for dpkg -- wget download method
 libcupt2-dev - alternative front-end for dpkg -- development files
 libcupt2-doc - alternative front-end for dpkg -- library documentation
Closes: 675689 675760
Changes: 
 cupt (2.5.6) unstable; urgency=low
 .
   * lib:
     - system/worker:
       - Fatal errors should be logged regardless of the logging level.
       - Work around FreeBSD kernels on which mkdir(2) sometimes return EISDIR.
         Thanks to goneri@rulezlan.org for the report. (Closes: #675760)
   * po:
     - Added French translation by Julien Patriarca. (Closes: #675689)
Checksums-Sha1: 
 17080cc88e209dd1f427465a44aa30133d2856f1 1434 cupt_2.5.6.dsc
 96cecb6c487547a1a5684c8596fc61b8756f8359 319137 cupt_2.5.6.tar.gz
 af14d5b828df40a0650aa0dd3c6d00db722784b2 796972 libcupt2-0_2.5.6_i386.deb
 7574580574af79e473dcd82dba6760df7fa5e5ea 53430 libcupt2-dev_2.5.6_i386.deb
 502e318e9ee6dc7517d7a66040b265e7ae84cfd1 283586 libcupt2-doc_2.5.6_all.deb
 77c5acc038157248938ca094ba4c5fbfec9199a0 398888 cupt_2.5.6_i386.deb
 b83fc710b63ab0c73772163797b2dc26c9f8da86 46060 libcupt2-0-downloadmethod-curl_2.5.6_i386.deb
 27c45787136556cc9b414b09a9eea659c4d10227 49700 libcupt2-0-downloadmethod-wget_2.5.6_i386.deb
Checksums-Sha256: 
 ca00201507cc625c85bb1d33a10fe5cbd90e7181381ebf782d88912e5e14d9f6 1434 cupt_2.5.6.dsc
 45f1facd055d4697a628a0a1811979a26315ce11e6bebd16842312a403fa02dc 319137 cupt_2.5.6.tar.gz
 52db45c35fd20641910b8e03c734fff1f33680b808ac3631f2a83b955f08b4c2 796972 libcupt2-0_2.5.6_i386.deb
 ad092b03981db4b565dace10ae5475cbe89f9bfcde58960366a5d522cfbee129 53430 libcupt2-dev_2.5.6_i386.deb
 07edc9432d69f908f3661f32ce4ed23a2fde825ad968d8a90a7ca4fa3356ed3d 283586 libcupt2-doc_2.5.6_all.deb
 9cf7d26f838c26521d772d7f58367225fb32af6a9651bec002d5a493becff3a5 398888 cupt_2.5.6_i386.deb
 60706c3f88207441280e30a231e9575f4183653b98bab1f26a3a57833151f707 46060 libcupt2-0-downloadmethod-curl_2.5.6_i386.deb
 b08755d034330e6e5ed652181315602395f8fc03da6e92510811c011d721cd25 49700 libcupt2-0-downloadmethod-wget_2.5.6_i386.deb
Files: 
 4052ad2cce9732fb8b0e46e6fbabebff 1434 admin optional cupt_2.5.6.dsc
 4bffe39567e60c90b9528770e521773e 319137 admin optional cupt_2.5.6.tar.gz
 49e4434ffa1d975ceec697d16b3e4de5 796972 admin optional libcupt2-0_2.5.6_i386.deb
 3d5137b3128785ffd0565e00519a75c8 53430 libdevel optional libcupt2-dev_2.5.6_i386.deb
 fa256512eb69c9fc8e980765cec96316 283586 doc optional libcupt2-doc_2.5.6_all.deb
 4a827ca4bad0141250be7c93cd35f7cb 398888 admin optional cupt_2.5.6_i386.deb
 5282efdbb59bdfcc1db1ecd9851416e1 46060 admin optional libcupt2-0-downloadmethod-curl_2.5.6_i386.deb
 3089d210745eccb4844bf16a5087bfa4 49700 admin optional libcupt2-0-downloadmethod-wget_2.5.6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk/R06IACgkQchorMMFUmYwejQCfbDknwJ2/jz67YCp+zHXrKI5e
AgUAn1lH4Fl/12GTtAsJBbM5jkzDwDGq
=Y1GU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 Jul 2012 07:28:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:34:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.